### Method

# Ide Grid set_current_column

#### Declaration

    void
    ide_grid_set_current_column (
      IdeGrid* self,
      IdeGridColumn* column
    )

#### Description

Sets the current column for the grid. Generally this is automatically updated for you when the focus changes within the workbench.

`column` can be `NULL` out of convenience.

Available since: | 3.32

Sets property | `Ide.Grid:current-column`

#### Parameters

`column` | `IdeGridColumn`
| An `IdeGridColumn` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.